Bug 1419938 - rpmlint errors in rsyslog package
Summary: rpmlint errors in rsyslog package
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rsyslog
Version: 29
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jiří Vymazal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1396563 1421757
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 13:02 UTC by Jiří Vymazal
Modified: 2019-11-27 23:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:09:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Jiří Vymazal 2017-02-07 13:02:15 UTC
Description of problem:
output of rpmlint rsyslog-8.24.0-2.fc25.x86_64.rpm | grep E
rsyslog.x86_64: E: missing-call-to-chdir-with-chroot /usr/sbin/rsyslogd
rsyslog.x86_64: E: non-standard-dir-perm /var/lib/rsyslog 700
rsyslog.x86_64: E: non-standard-dir-perm /etc/pki/rsyslog 700


Version-Release number of selected component (if applicable):
present since at least 8.10

Comment 1 Jiří Vymazal 2017-02-13 16:02:36 UTC
directory permissions errors seems more like problem on rpmlint side

Comment 2 Jiří Vymazal 2017-02-28 10:22:33 UTC
Unfortunately, after patching it with chdir call the rpmlint error remains, linking according rpmlint issue

Comment 3 Fedora End Of Life 2017-02-28 11:12:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Fedora End Of Life 2018-05-03 08:04:10 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Jiří Vymazal 2018-05-03 09:13:49 UTC
re-targeting to rawhide as bug 1421757 is still present there

Comment 6 Jan Kurik 2018-08-14 10:20:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 7 Ben Cotton 2019-10-31 18:59:36 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2019-11-27 23:09:18 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.